# Add a contact detail to a lead

**POST /api/v1/leads/{lead_uuid}/contact-details**

The first contact detail of a type on a lead becomes its primary automatically. Phone numbers are stored in E.164 format.


## Servers
- https://api.plannrcrm.com: https://api.plannrcrm.com ()


## Authentication methods
- Personal access token & O auth2


## Parameters

### Path parameters

- **lead_uuid** (string)
  The UUID of the lead.



### Body: application/json (object)

- **type** (string)


  Type of contact detail. One of email and phone_number.

  | Value | Description |
  | ----- | ----------- |
  |email|Email|
  |phone_number|Phone Number|

- **name** (string)
  Description of the contact detail.

- **value** (string)
  Value of the contact detail. A phone number is assumed to be GB when it has no country code and is stored in E.164 format. You can provide an array `["country" => "AU", "number" => "+61 2 3456 7890"]` to use a different country.

- **primary** (boolean)
  Make this the lead's primary contact detail of its type. The first contact detail of a type becomes primary automatically.



## Responses
### 200


#### Body: application/json (object)
- **uuid** (string)
  The UUID of the resource.

- **created_at** (string)
  The timestamp of when the resource was created.

- **updated_at** (string)
  The timestamp of when the resource was updated.

- **type** (string)
  Contact detail type

- **name** (string)
  Contact detail description

- **value** (string)
  Contact detail value

- **phone_number_meta** (object)
  If the type is a phone number, this additional field will be displayed giving you information about the phone number.

- **accounts** (object)
  Accounts that own contact detail


### 403
Unauthorized

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 404
Lead belongs to another firm

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 409


#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.


### 422
Validation error

#### Body: application/json (object)
- **message** (string)
  A human-readable description of the error.

- **errors** (object)
  Validation messages keyed by the field that failed.



[Powered by Bump.sh](https://bump.sh)
